[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Mouse' (#rtl)

# InitMouse

Initialize the FPC mouse driver.

## Declaration

Source position: mouseh.inc line 64

`procedure InitMouse;`

## Description

InitMouse Initializes the mouse driver. This will allocate any data structures needed for the mouse to function. All mouse functions can be used after a call to InitMouse.

A call to InitMouse must always be followed by a call to DoneMouse at program exit. Failing to do so may leave the mouse in an unusable state, or may result in memory leaks.

For an example, see most other functions.

## Errors

None.

## See also

DoneMouse |  | Deinitialize mouse driver.
DetectMouse |  | Detect the presence of a mouse.